import Sync from '../src/sync'
import onDeath from  'ondeath'

(async () => {
  const sync = new Sync({jobsDir:'./example/jobs'}) // look for job files here

  await sync.loadJob('example')
  sync.live()
  sync.watch('on')
  console.log('ready and waiting')

  onDeath( () => {
    console.log('\nHe\'s dead Jim')
    sync.watch('remove')
  })

})().catch(err => {
  console.error('FATAL: UNABLE TO START SYSTEM!\n',err)
})
